#!/bin/bash
# Parallel job submission script:
# Usage: qsub  <this_script>
#
# The shell used to run the job
#$ -S /bin/bash
#
# The name of the parallel queue to submit the job to
# Define the parallel runtime environment and number of nodes
# NB: number of nodes is one more than needed as one copy resideson the master node
#$ -pe mpi 1
# Use location that job was submitted as working directory
#$ -cwd
#
# Export all environment variables to the slave jobs
#$ -V
#
# Put stdout & stderr into the same file
#$ -j y
#
# The name of the SGE logfile for this job
#$ -o output.log
module load intel-compiler-2018
export PATH=/home/softwares/amber16/bin:$PATH
source /home/softwares/intel_2018/impi/2018.3.222/intel64/bin/mpivars.sh
export CUDA_HOME=/opt/cuda_10.0.130
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:${CUDA_HOME}/lib64:${CUDA_HOME}/lib64/stubs

#pmemd.cuda -O -i mdin.GPU -o mdout.GPU -p prmtop -c inpcrd
pmemd.cuda -O -i mdin.GPU -o mdout.1GPU -inf mdinfo.1GPU -x mdcrd.1GPU -r restrt.1GPU

#./hello
